+++
title = "Projects"
description = "My projects"
showDate = false
showPagination = false
slug = "projects"
+++

I've built and contributed to many free and open source projects. On this page are the projects I've chosen to highlight. The rest can be found on my [Gitea instance](https://gitea.elara.ws/Elara6331) and in my [Github profile](https://github.com/Elara6331).

### Major Projects
- [LURE](https://github.com/Elara6331/lure) \
  _A community repository for any Linux distribution_
- [LURE Web](https://lure.elara.ws) \
  _A web interface that displays information for LURE packages, created using [SvelteKit](https://kit.svelte.dev/) and [Bulma](https://bulma.io)_
- [ITD](https://gitea.elara.ws/Elara6331/itd) \
  _A Linux companion daemon for the [PineTime](https://www.pine64.org/pinetime/) smartwatch_
- [lemmy-reply-bot](https://gitea.elara.ws/Elara6331/lemmy-reply-bot) \
  _A configurable bot that finds and replies to comments and posts on [Lemmy](https://join-lemmy.org/)_

### Libraries
- [go-lemmy](https://go.elara.ws/go-lemmy) \
  _Automatically-Generated Go bindings to the [Lemmy](https://join-lemmy.org/) API_
- [pcre](https://go.elara.ws/pcre) \
  _A port of the PCRE2 regular expression engine to Go_
- [vercmp](https://go.elara.ws/vercmp) \
  _A simple version comparison library loosely based on the rpmvercmp algorithm_
- [logger](https://go.elara.ws/logger) \
  _Simple and fast logging library for Go_
- [drpc](https://go.elara.ws/drpc) \
  _Utilities for the [DRPC](https://github.com/storj/drpc) framework_
- [taf](https://go.elara.ws/taf) \
  _A parser for Terminal Aerodrome Forecasts_

### Tools
- [tafparser](https://gitea.elara.ws/Elara6331/taf/src/branch/master/cmd/tafparser) \
  _A parser for Terminal Aerodrome Forecasts_
- [riscv-docker](https://gitea.elara.ws/Elara6331/riscv-docker) \
  _Automatically-Built docker images that support RISC-V machines_

### Projects I've contributed to
- [GoReleaser](https://goreleaser.com) \
  _Deliver Go binaries as fast and easily as possible._
- [InfiniTime](https://github.com/InfiniTimeOrg/InfiniTime) \
  _Fast open-source firmware for the [PineTime](https://www.pine64.org/pinetime/) smartwatch._
- [Fyne](https://fyne.io/) \
  _A cross-platform GUI toolkit in Go_
- [TinyGo](https://tinygo.org) \
  _A Go Compiler For Small Places_
- [CockroachDB Pebble](https://github.com/cockroachdb/pebble) \
  _LevelDB/RocksDB inspired key-value store focused on performance_
